Hi,

201037:14 Nobuyoshi Nakada <nobu / ruby-lang.org>:
> Hi,
>
> At Tue, 13 Jul 2010 04:11:32 +0900,
> Run Paint Run Run wrote in [ruby-core:31221]:
>> run@paint:~   ruby -e'GC.stress = true; $-w = true; requirerubygems"; require "yaml"'
>
> I could reproduce it on trunk, but not on 1.9.2 with or without
> backporting r28570.  So I suspect it is related to lazy-sweep
> now.
>

I'll check the lazy-sweep on trunk.

> Also,
>
> At Thu, 8 Jul 2010 02:57:59 +0900,
> Roger Pack wrote in [ruby-core:31108]:
>> C:/installs/ruby_trunk_installed/lib/ruby/gems/1.9.1/specifications/rdoc-data-2.5.1.gemspec:18:
>> [BUG] gc_sweep(): unknown data type 0x0(0x230bd19)
>
> This might be caused by the same bug.  0x230bd19 is a Fixnum in
> normal, so it can't be This seems heap_slot is broken/discarded.
>
> --
> Nobu Nakada
>
>



-- 
Narihiro Nakamura (nari)